/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.lcs.client.internal.management;

import javax.management.ObjectName;

/**
 * @author Riccardo Ferrari
 */
public class ObjectNameKeyPropertyMapKeyStrategy implements MapKeyStrategy {

	public ObjectNameKeyPropertyMapKeyStrategy(String keyPropertyName) {
		_keyPropertyName = keyPropertyName;
	}

	@Override
	public String getMapKey(ObjectName objectName) {
		return objectName.getKeyProperty(_keyPropertyName);
	}

	private final String _keyPropertyName;

}